Subject: Re: bug#71396: Close

From: Christopher Baines <[email-masked]>
Date: Mon, 10 Jun 2024 11:07:11 +0100

Andreas Enge <[email-masked]> writes:

> Concerning the second patch, we do not need a gexp; they are similar to
> quoting and unquoting and needed to stage code execution (from the package
> definition to the build). Here everything is done at package definition
> time. #~ is some kind of (quasi-)quoting, but there is no corresponding
> unquoting #$ or #+ in the following block. (Actually, to make this even
> clearer, one could replace ` by '; but this would not warrant a commit.)

Note that quoting vs gexps matters for package inheritance, so even
though there's no ungexp'ing happening in this pacakge, the phases could
be ungexp'ed by a package that inherits from solaar.

For this reason, I think it's important to move to using gexp's for all
phases, even the trivial ones, so that there are less issues when it
comes to package inheritance and modifying phases.